<template>
  <section
    :id="id"
    class="flex flex-col items-stretch md:flex-row md:h-140 lg:h-160"
    :class="{ 'md:flex-row-reverse': reversed }"
  >
    <div
      class="flex items-center px-6 py-20 sm:px-10 md:w-2/3 lg:w-1/2 xl:w-5/12"
      :class="{ 'md:justify-end': !reversed }"
    >
      <article class="lg:max-w-lg">
        <header>
          <h3 class="text-green-700">{{ title }}</h3>
        </header>
        <div v-html="text" />
      </article>
    </div>
    <div class="h-64 md:h-full md:w-1/3 lg:w-1/2 xl:w-7/12">
      <g-image
        :src="image"
        :alt="imageDesc"
        class="h-full w-full object-center object-cover shadow-md"
        :class="coverShapeClasses"
        :style="{
          '--fx-shape-radius': '65%',
          '--fx-shape-radius-x': '60%',
          '--fx-shape-radius-y': '150%',
        }"
      />
    </div>
  </section>
</template>

<script>
export default {
  name: 'CoverSplitSection',
  props: {
    id: String,
    title: String,
    text: String,
    image: Object,
    imageDesc: String,
    reversed: Boolean,
  },
  computed: {
    coverShapeClasses() {
      const ellipsePosition = this.reversed
        ? ['md:fx-shp-x-40', 'md:fx-shp-y-top']
        : ['md:fx-shp-x-60', 'md:fx-shp-y-bottom'];

      const circlePosition = this.reversed
        ? ['xl:fx-shp-x-40', 'xl:fx-shp-y-center']
        : ['xl:fx-shp-x-60', 'xl:fx-shp-y-center'];

      return [
        'md:fx-shape',
        'md:fx-shp-ellipse',
        'xl:fx-shp-circle',
        ...ellipsePosition,
        ...circlePosition,
      ];
    },
  },
};
</script>
